org.apache.solr.search

## Class DocSetUtil

- java.lang.Object
- - org.apache.solr.search.DocSetUtil

-     public class DocSetUtil
      extends Object

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocSetUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `collectSortedDocSet(DocSet docs, IndexReader reader, Collector collector)`
    `static DocSet` | `createDocSet(SolrIndexSearcher searcher, Query query, DocSet filter)`
    `static DocSet` | `createDocSet(SolrIndexSearcher searcher, Term term)`
    `static DocSet` | `createDocSetGeneric(SolrIndexSearcher searcher, Query query)`
    `static boolean` | `equals(DocSet a, DocSet b)` Iterates DocSets to test for equality - slow and for testing purposes only.
    `static int` | `smallSetSize(int maxDoc)` The cut-off point for small sets (SortedIntDocSet) vs large sets (BitDocSet)
    `static DocSet` | `toSmallSet(BitDocSet bitSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocSetUtil

          public DocSetUtil()

  - ### Method Detail

    - #### smallSetSize

          public static int smallSetSize(int maxDoc)

      The cut-off point for small sets (SortedIntDocSet) vs large sets (BitDocSet)

    - #### equals

          public static boolean equals(DocSet a,
                                       DocSet b)

      Iterates DocSets to test for equality - slow and for testing purposes only.
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### createDocSet

          public static DocSet createDocSet(SolrIndexSearcher searcher,
                                            Query query,
                                            DocSet filter)
                                     throws IOException

      Throws:
        `IOException`

    - #### createDocSetGeneric

          public static DocSet createDocSetGeneric(SolrIndexSearcher searcher,
                                                   Query query)
                                            throws IOException

      Throws:
        `IOException`

    - #### createDocSet

          public static DocSet createDocSet(SolrIndexSearcher searcher,
                                            Term term)
                                     throws IOException

      Throws:
        `IOException`

    - #### toSmallSet

          public static DocSet toSmallSet(BitDocSet bitSet)

    - #### collectSortedDocSet

          public static void collectSortedDocSet(DocSet docs,
                                                 IndexReader reader,
                                                 Collector collector)
                                          throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.